commit:     85e2d4f804565db912462b845284e997148d2885
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 29 21:37:15 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 29 21:49:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85e2d4f8
net-libs/libssh2: Bump to 1.10.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-libs/libssh2/Manifest              |  1 +
 net-libs/libssh2/libssh2-1.10.0.ebuild | 53 ++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/net-libs/libssh2/Manifest b/net-libs/libssh2/Manifest
index 72c8716d2b8..e3b31020b5f 100644
--- a/net-libs/libssh2/Manifest
+++ b/net-libs/libssh2/Manifest
@@ -1 +1,2 @@
+DIST libssh2-1.10.0.tar.gz 965044 BLAKE2B 
0e6f571cc723e0050bf7ba7492f361ef222547dcbc311019cb6762f01405b4906e0418207a7d484c5170bee5e6f666827a7ea0d0cf233f684f999f896ce0b415
 SHA512 
e064ee1089eb8e6cd5fa2617f4fd8ff56c2721c5476775a98bdb68c6c4ee4d05c706c3bb0eb479a27a8ec0b17a8a5ef43e1d028ad3f134519aa582d3981a3a30
 DIST libssh2-1.9.0_p20200614.tar.gz 482698 BLAKE2B 
a93c3e61ecba564263e5aa1c10769bd07b5d16def9e6948262e5bbe32d86ae39784b63c608ad4d8a4aa0fcb14c8b55742f90cd2856e043bea5b3d052a31dc871
 SHA512 
fa34c598149d28b12f5cefbee4816f30a807a1bde89faa3be469f690057cf2ea7dd1a83191b2a2cae3794e307d676efebd7a31d70d9587e42e0926f82a1ae73d

diff --git a/net-libs/libssh2/libssh2-1.10.0.ebuild 
b/net-libs/libssh2/libssh2-1.10.0.ebuild
new file mode 100644
index 00000000000..309a9aac840
--- /dev/null
+++ b/net-libs/libssh2/libssh2-1.10.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+CMAKE_ECLASS=cmake
+inherit cmake-multilib
+
+DESCRIPTION="Library implementing the SSH2 protocol"
+HOMEPAGE="https://www.libssh2.org";
+SRC_URI="https://www.libssh2.org/download/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+IUSE="gcrypt mbedtls zlib"
+REQUIRED_USE="?? ( gcrypt mbedtls )"
+# Tests try to set containers up using docker (and fail for some reason).
+RESTRICT="test"
+
+RDEPEND="
+       gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0[${MULTILIB_USEDEP}] )
+       !gcrypt? (
+               mbedtls? ( net-libs/mbedtls:0=[${MULTILIB_USEDEP}] )
+               !mbedtls? (
+                       >=dev-libs/openssl-1.0.1h-r2:0=[${MULTILIB_USEDEP}]
+               )
+       )
+       zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+"
+DEPEND="
+       ${RDEPEND}
+"
+
+multilib_src_configure() {
+       local crypto_backend=OpenSSL
+       if use gcrypt; then
+               crypto_backend=Libgcrypt
+       elif use mbedtls; then
+               crypto_backend=mbedTLS
+       fi
+
+       local mycmakeargs=(
+               -DBUILD_SHARED_LIBS=ON
+               -DCRYPTO_BACKEND=${crypto_backend}
+               -DENABLE_ZLIB_COMPRESSION=$(usex zlib)
+       )
+       cmake_src_configure
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to